CREATE DATABASE NoticiasColaborativas;
USE NoticiasColaborativas;

CREATE TABLE Usuario(
	user_id INT UNSIGNED AUTO_INCREMENT PRIMARY KEY NOT NULL,
	validado BOOLEAN NOT NULL DEFAULT 0,
	nombre VARCHAR(255) NOT NULL,
	nick VARCHAR(255) NOT NULL UNIQUE,
	mail VARCHAR(255) NOT NULL UNIQUE,
    contrasena VARCHAR(255)
);

CREATE TABLE Noticias (
    id_noticias INT AUTO_INCREMENT PRIMARY KEY,
    titulo VARCHAR(255) NOT NULL,
    foto BLOB,
    entrada VARCHAR(255) NOT NULL,
    texto TEXT NOT NULL,
    tema VARCHAR(255) NOT NULL,
    user_id INT UNSIGNED,
    FOREIGN KEY (user_id) REFERENCES Usuario(user_id) ON DELETE CASCADE
);


